Plesk\backup\Agent\Schema\Backup\UserType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        contact:
            expose: true
            access_type: public_method
            serialized_name: contact
            accessor:
                getter: getContact
                setter: setContact
            xml_attribute: true
            type: string
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        email:
            expose: true
            access_type: public_method
            serialized_name: email
            accessor:
                getter: getEmail
                setter: setEmail
            xml_attribute: true
            type: string
        isDomainAdmin:
            expose: true
            access_type: public_method
            serialized_name: is-domain-admin
            accessor:
                getter: getIsDomainAdmin
                setter: setIsDomainAdmin
            xml_attribute: true
            type: string
        isBuiltIn:
            expose: true
            access_type: public_method
            serialized_name: is-built-in
            accessor:
                getter: getIsBuiltIn
                setter: setIsBuiltIn
            xml_attribute: true
            type: string
        crDate:
            expose: true
            access_type: public_method
            serialized_name: cr-date
            accessor:
                getter: getCrDate
                setter: setCrDate
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        subscriptionName:
            expose: true
            access_type: public_method
            serialized_name: subscription-name
            accessor:
                getter: getSubscriptionName
                setter: setSubscriptionName
            xml_attribute: true
            type: string
        isLegacyUser:
            expose: true
            access_type: public_method
            serialized_name: is-legacy-user
            accessor:
                getter: getIsLegacyUser
                setter: setIsLegacyUser
            xml_attribute: true
            type: string
        fileSharingId:
            expose: true
            access_type: public_method
            serialized_name: file-sharing-id
            accessor:
                getter: getFileSharingId
                setter: setFileSharingId
            xml_attribute: true
            type: string
        externalEmail:
            expose: true
            access_type: public_method
            serialized_name: external-email
            accessor:
                getter: getExternalEmail
                setter: setExternalEmail
            xml_attribute: true
            type: string
        properties:
            expose: true
            access_type: public_method
            serialized_name: properties
            xml_element:
                cdata: false
            accessor:
                getter: getProperties
                setter: setProperties
            type: Plesk\backup\Agent\Schema\Backup\UserType\PropertiesAType
        limitsAndPermissions:
            expose: true
            access_type: public_method
            serialized_name: limits-and-permissions
            xml_element:
                cdata: false
            accessor:
                getter: getLimitsAndPermissions
                setter: setLimitsAndPermissions
            type: Plesk\backup\Agent\Schema\Backup\UserType\LimitsAndPermissionsAType
        preferences:
            expose: true
            access_type: public_method
            serialized_name: preferences
            xml_element:
                cdata: false
            accessor:
                getter: getPreferences
                setter: setPreferences
            type: array<Plesk\backup\Agent\Schema\Backup\Pinfo>
            xml_list:
                inline: false
                entry_name: pinfo
                skip_when_empty: false
